*,
*::before,
*::after {
    box-sizing: border-box;
}
@font-face {
  font-family: 'JetBrains Mono';
  src: url('https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-Regular.woff2') format('woff2'),
    url('https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-Regular.woff') format('woff');
  font-weight: 0.5rem;
  font-style: normal;
  font-display: swap;
}

/* Main styles */
body {
    background-color: #303030;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    color: #ccc;
    font: 300 1rem/1.5 Helvetica Neue, sans-serif;
    margin: auto;
    overflow: auto;
}

.wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  z-index: 5;

}
.login_box {
  position: relative;
  width: 450px;
  backdrop-filter: blur(25px);
  border: 2px solid rgba(F,F,F,0.1);
  border-radius: 15px;
  background-color: #ffffff20;
  padding: 7.5em 2.5em 4em 2.5em;
  color: white;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.2);
}
.login-header {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: black;
  width: 200px;
  height: 70px;
  border-radius: 0 0 20px 20px;
}
.login-header span {
  font-size: 20rem;
}
.login-header::before {
  content: "";
  position: absolute;
  top: 0;
  left: -30px;
  width: 30px;
  height: 30px;
  border-top-right-radius: 50%;
  background: transparent;
  box-shadow: 15px 0 0 0 black;
}
.login-header::after {
  content: "";
  position: absolute;
  top: 0;
  right: -30px;
  width: 30px;
  height: 30px;
  border-top-left-radius: 50%;
  background: transparent;
  box-shadow: -15px 0 0 0 black;
}
.input_box {
  position: relative;
  display: flex;
  flex-direction: column;
  margin: 1rem 0;
  background-color:rgba(0,0,0,0.1);
  border-radius:4px;
}
.input-field {
  width: 20rem;
  height: 55px;
  font-size: 1rem;
  background-color: rgba(0,0,0,0.1); /* Set a transparent background */
  color: white;
  padding-inline: 2rem 4rem;
  border: 2px solid rgba(0,0,0,0.1); /* Adjust border color (F,F,F,0.1 is not valid) */
  border-radius: 4px;
  outline: none;
}
#user {
  margin-bottom: 10px;
}
.label {
  position: absolute;
  top: 15px;
  left: 20px;
  transition: 0.2s;
}

.input-field:focus,
.input-field:valid {
  background-color: rgba(0,0,0,0); /* Ensure the background remains transparent */
}

.input-field:focus ~ .label,
.input-field:valid ~ .label {
  top: -10px;
  left: 20px;
  font-size: 14px;
  background-color: rgba(0,0,0,0); /* Keep label background transparent */
  border-radius: 30px;
  color: rgba(255,255,255,1); /* Adjust label color for better readability */
  padding: 0 10px;
}
input:-webkit-autofill {
  -webkit-background-color:rgba(0,0,0,0.1);
  -webkit-box-shadow: 0 0 0 1000px rgba(0,0,0,0) inset; /* Ensure transparency */
  box-shadow: 0 0 0 1000px rgba(0,0,0,0.2) inset;
  -webkit-text-fill-color: white; /* Ensure text remains visible */
}

.icon {
  position: absolute;
  top: 18px;
  right: 25px;
  font-size: 20px;
}
.remember-forgot {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-bottom: 10px; /* Adds some space between the remember/forgot and the login button */
}

.remember-forgot div {
  display: inline-block;
  width: 48%; /* Ensures both the 'Remember me' and 'Forgot password?' share the width */
  text-align: left; /* Align text to the left */
}

.input-submit {
  width: 20rem;
  height: 55px;
  font-size: 1rem;
  background-color: rgba(0,0,0,0.5); /* Set a transparent background */
  color: white;
  padding-inline: 2rem;
  border: 2px solid #000000aa; /* Adjust border color (F,F,F,0.1 is not valid) */
  border-radius: 4px;
  outline: none;
}
.input-submit:hover {
  background: rgba(0,0,0,0.8); /* Slightly dim on hover */
}

.register {
  text-align: center;
}
.register a {
  font-weight: 500;
}
@media only screen and (max-width: 564px) {
  .wrapper {
    padding: 20px;
  }
  .login_box {
    padding: 7.5em 1.5em 4em 1.5em;
  }
}

h1 {
    font-size: 2.75rem;
    font-weight: 100;
    margin: 0 0 1rem;
    text-transform: uppercase;
    color: #FFC60B;
}

h3 {
    font-size: 4.0rem;
    font-weight:100;
    text_transform: uppercase;
    color: #000000;
}

nav {
    width: 100%;
    background-color: #000;
    color: #fff;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    z-index: 10;
}

.nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.nav-logo {
    font-size: 1.5rem;
    color: #fff;
    text-decoration: none;
}

.nav-links {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.nav-links li {
    margin: 0 10px;
}

.nav-links a {
    color: #fff;
    text-decoration: none;
    display: inline-block;
    padding: 5px 10px;
}

.nav-links a:hover, .nav-links a.active {
    background-color: #555;
    border-radius: 5px;
    color: #FFC60B;
}

.nav-toggle {
    display: none;
    cursor: pointer;
    flex-direction: column;
    justify-content: space-around;
    width: 30px;
    height: 30px;
}

.nav-toggle .bar {
    width: 100%;
    height: 4px;
    background-color: #fff;
    margin: 3px 0;
}

.container {
    padding: 20px;
    min-width: 100%;
    margin: 0 auto 1rem auto;
}

form {
    max-width: 1000px;
    margin: 0 auto;
    padding: 10px;
    border-radius: 15px;
    color: #ccc;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.login-container {
    max-width: 400px;
    min-width: 50rem;
    margin: 0 auto;
    padding: 20px;
    background-color: #303030;
    border-radius: 10px;
    color: #ccc;
}

.form-group {
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
}

.form-group label {
    flex: 1;
    margin-right: 1rem;
}

.form-group input {
    flex: 3;
    margin-left: 10px;
    padding: 0.5rem 1rem;
    border: 1px solid #ccc;
    background-color: #35415255;
    color: #ccc;
    border-radius: 4px;
    width: 100%;
    text-align: center;
}

button {
    background-image: linear-gradient(160deg, #323232 0%, #303030 100%);
    color: #fff;
}

button .btn-danger {
    background-image: linear-gradient(160deg, #ff6b6b 0%, #dd302c 100%);
    padding: 0.5rem 1rem;
    background-color: #d9534f;
    border: none;
    color: #fff;
    cursor: pointer;
    border-radius: 100px;
}

.report-buttons {
    display: flex;
    justify-content: flex-end;
    flex-grow: 1;
}

.report-buttons button {
    margin-left: 10px;
    padding: 10px 20px;
    border: 1px solid #ccc;
    background-color: #35415255;
    color: #ccc;
    border-radius: 4px;
    cursor: pointer;
    box-sizing: border-box;
    text-align: center;
}

ul {
    padding: 0;
    list-style-type: none;
}

ul li {
    margin-bottom: 10px;
}

ul li a {
    color: #8ceabb;
    text-decoration: none;
    transition: color 0.3s ease;
}

ul li a:hover {
    color: #378f7b;
}

table {
    width: 100%;
    min-width: 600px;
    margin: 0 auto;
    color: #FFC60B;
    font-family: JetBrains Mono, monospace;
    font-size: 0.75rem;
    border: 2px solid rgba(F,F,F,0.1);
    border-collapse: collapse;
    border-spacing: 0;
    backdrop-filter: blur(25px);
}

table th, table td {
    padding: 1rem;
    text-align: left;
    vertical-align: middle;
}

th {
    color: #EAEAEA;
    background-color: #35415255;
    cursor: pointer; /* Indicate that the headers are clickable */
}

table tbody tr:nth-child(even) {
    background-color: #60606055;
}

table tbody tr:nth-child(odd) {
    background-color: #30303055;
}

table tbody tr:hover {
    color: #FFC60B;
    background-color: #B0AFB055;
}

table .btn {
    padding: 0.5rem 0.5rem;
    background-color: #8ceaDD;
    border: none;
    color: #fff;
    cursor: pointer;
    border-radius: 4px;
}

table .btn:hover {
    background-color: #378f7b;
}

table .btn-danger {
    padding: 0.5rem 1rem;
    background-color: #d9534f;
    border: none;
    color: #fff;
    cursor: pointer;
    border-radius: 100px;
    background-image: linear-gradient(160deg, #ff6b6b 0%, #dd302c 100%);
}

table .btn-danger:hover {
    background-image: linear-gradient(160deg, #c9302c 0%, #f33 100%);
    background-color: #fff;
}

.online {
    color: darkgreen;
    font-weight: bold;
}

.offline {
    color: darkred;
    font-weight: bold;
}

.no-data {
    color: #03428E;
    font-weight: bold;
}

a {
    color: inherit;
    text-decoration: none;
}

/* For responsive tables */
table {
    table-layout: auto; /* Ensures the table is flexible */
}

th.sort-asc::after, th.sort-desc::after {
    content: '\25b2'; /* Default arrow pointing up */
    margin-left: 0.5rem;
}

th.sort-desc::after {
    content: '\25bc'; /* Arrow pointing down for descending sort */
}

.popup-messages {
    position: fixed;
    top: 10px;
    right: 10px;
    background-color: #333;
    color: #fff;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);
    display: none; /* Hide by default */
    z-index: 1000; /* Ensure it appears above other content */
}

.popup-messages ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.popup-messages li {
    margin-bottom: 10px;
}

.popup-messages.show {
    display: block; /* Show when active */
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: none; /* Hide by default */
    z-index: 999; /* Ensure it's below the popup */
}

.center{
    display:flex;
    justify-content:center;
    margin:0 auto;
    width:60%;
    margin-bottom: 10px;
}

.graph{

    flex:1;
}


/* Media Queries */
@media only screen and (max-width: 1080px) {
    .container {
        max-width: 100%;
        padding: 10px;
    }
    nav {
        text-align: left;
    }
    nav a {
        display: block;
        margin: 10px 0;
    }
}

select {

  width: 74%;
  height: 55px;
  font-size: 1rem;
  background-color: rgba(0,0,0,0); /* Set a transparent background */
  color: white;
  padding-inline: 2rem 4rem;
  border: 2px solid #ffffff22; /* Adjust border color (F,F,F,0.1 is not valid) */
  border-radius: 4px;
  outline: none;
  text-align: center;

  /* reset */

  margin: 0;      
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
}

select:focus {
    border-color: #00000022; /* Change this to your desired color */
    outline: none; /* Optional: Removes the default outline */
}

.register-button {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #303030CC;
    color: FFC60B;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.register-button:hover {
    background-color: #606060AA;
}


    .info-columns {
      display: flex;
      gap: 10px;
      flex-wrap: wrap;
    }

    .info-box {
      flex: 1;
      min-width: 300px;
      border: 2px solid #ffffff11;
      border-radius: 8px;
      padding: 10px;
      background-color: #00000044;
        
    }

    .info-box-title {
      text-align: center;
      font-weight: bold;
      margin-bottom: 10px;
    }


.submit-btn {
    width: 50%;
    height: 50px;
    border: none;
    border-radius: 4px;
    background-color: #FFC60B;
    color: #303030;
    font-size: 1rem;
    padding-left:1rem;
    padding-right:1rem;
    cursor: pointer;
}

.submit-btn:hover {
    background-color: #e6a600;
}

h2 {
    text-align: center;
    font-size: large !important;
    text-transform: uppercase;

}

.activation-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.3); /* Semi-transparent background */
    border: 2px solid rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    padding: 2rem;
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(100px);
    -webkit-backdrop-filter: blur( 100px );
    will-change: backdrop-filter;
    width: 75%;
    margin-top:4rem;
    min-width:400px;
}

.activation-form h1 {
    margin-bottom: 1.5rem;
    color: #FFFFFF;
    font-size: 2rem;
    text-align: center;
}

.activation-form:focus{
    background-color: 00000022;
}

.KITFOX {
    margin-top: 10px;
    flex: 1;
    min-width: 300px;
    border: 2px solid #ffffff11;
    border-radius: 8px;
    padding: 10px;
    background-color: #00000044;
}

.circle {
  background-image: none !important; 
  display: inline-block;
  border-radius: 4px;
  background-color: #FFC60B;
  border: none;
  color: #000000;
  text-align: center;
  font-size: 1rem;
  padding: 10px;
  width: 100px;
  transition: all 0.5s;
  cursor: pointer;
}

.circle:hovor {
    background-color: #e6a600 !important;
    background-image: none !important;
}

textarea {
  top: -10px;
  left: 20px;
  font-size: 14px;
  background-color: rgba(0,0,0,0); /* Keep label background transparent */
  border-radius: 4px;
  border: 2px solid #ffffff80;
  color: #fff!important; /* Adjust label color for better readability */
  padding: 0 10px;
}

textarea:focus{
    outline: none;
}

footer{
    padding-top: 40px;
    padding-bottom: 35px;
    margin-top: 40px;
    margin-bottom: 0px;
    background-color: #00000080;
    backdrop-filter: blur(25px);
    position: auto;
    bottom: 0;
    width:100%;
    
}